Bug 133232 - slab error in kmem_cache_destroy() when rmmodding dlm
slab error in kmem_cache_destroy() when rmmodding dlm
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
GFS Bugs
Depends On:
  Show dependency treegraph
Reported: 2004-09-22 13:06 EDT by Derek Anderson
Modified: 2010-01-11 21:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 15:32:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-09-22 13:06:24 EDT
Description of problem:
Set up a quorate 5-node cluster and mounted a filesystem on all with
lock type lock_dlm.  On all: unmounted the filesystem, removed from
fence domain, left cman, killed ccsd, and removed modules in the
reverse order they went in.

When removing the dlm module I got this on 3 of the 5 nodes:
slab error in kmem_cache_destroy(): cache `dlm_resdir(s)': Can't free
all objects
 [<c01467a1>] kmem_cache_destroy+0xd1/0x120
 [<d09be068>] dlm_memory_exit+0x28/0x40 [dlm]
 [<d09c6c94>] cleanup_module+0x14/0x1e [dlm]
 [<c01375d1>] sys_delete_module+0x121/0x170
 [<c015007a>] unmap_vma_list+0x1a/0x30
 [<c0150408>] do_munmap+0x118/0x160
 [<c011b950>] do_page_fault+0x0/0x4fc
 [<c0105e4d>] sysenter_past_esp+0x52/0x71

Version-Release number of selected component (if applicable):
cman_tool DEVEL.1095793251 (built Sep 21 2004 14:03:18)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:
I'm 2 for 2 so far.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Christine Caulfield 2004-09-23 09:23:26 EDT
Yep. I saw that too....
Comment 2 Christine Caulfield 2004-09-23 10:22:35 EDT
Unused direntries were being put on a free list when they were
released suring recovery, but this free list was not cleaned when the
lockspace was released.

It is now.

Checking in dir.c;
/cvs/cluster/cluster/dlm-kernel/src/dir.c,v  <--  dir.c
new revision: 1.18; previous revision: 1.17
Checking in dir.h;
/cvs/cluster/cluster/dlm-kernel/src/dir.h,v  <--  dir.h
new revision: 1.10; previous revision: 1.9
Checking in lockspace.c;
/cvs/cluster/cluster/dlm-kernel/src/lockspace.c,v  <--  lockspace.c
new revision: 1.15; previous revision: 1.14
Comment 3 Derek Anderson 2004-10-04 15:32:57 EDT
Verified against:
DEVEL.1096898839 (built Oct  4 2004 09:08:29)
Comment 4 Kiersten (Kerri) Anderson 2004-11-16 14:10:53 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.